package com.aucma.report.domain;

import com.aucma.common.annotation.Excel;
import com.aucma.common.core.domain.BaseEntity;
import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * 降级/报废品占比报表
 *
 * @author Yinq
 * @date 2024-03-15
 */
public class DowngradeProportionReport extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 日期
     */
    @Excel(name = "日期")
    @JsonProperty("INSPECTOR_TIME")
    private String INSPECTOR_TIME;

    /**
     * 异常数
     */
    @Excel(name = "异常数")
    @JsonProperty("QUALITY_SUM")
    private Long QUALITY_SUM;

    /**
     * 产量
     */
    @Excel(name = "产量")
    @JsonProperty("OFF_LINE_NUM")
    private Long OFF_LINE_NUM;

    /**
     * 异常率
     */
    @Excel(name = "异常率")
    @JsonProperty("REPAIR_RATE")
    private String REPAIR_RATE;

    /**
     * 目标降级率
     */
//    @Excel(name = "目标降级率")
    @JsonProperty("TARGET")
    private String TARGET;

    public String getINSPECTOR_TIME() {
        return INSPECTOR_TIME;
    }

    public void setINSPECTOR_TIME(String INSPECTOR_TIME) {
        this.INSPECTOR_TIME = INSPECTOR_TIME;
    }

    public Long getQUALITY_SUM() {
        return QUALITY_SUM;
    }

    public void setQUALITY_SUM(Long QUALITY_SUM) {
        this.QUALITY_SUM = QUALITY_SUM;
    }

    public Long getOFF_LINE_NUM() {
        return OFF_LINE_NUM;
    }

    public void setOFF_LINE_NUM(Long OFF_LINE_NUM) {
        this.OFF_LINE_NUM = OFF_LINE_NUM;
    }

    public String getREPAIR_RATE() {
        return REPAIR_RATE;
    }

    public void setREPAIR_RATE(String REPAIR_RATE) {
        this.REPAIR_RATE = REPAIR_RATE;
    }

    public String getTARGET() {
        return TARGET;
    }

    public void setTARGET(String TARGET) {
        this.TARGET = TARGET;
    }
}
